/*-
 * Copyright (c) 2000
 * Tatsuya Kudoh(CDR/TK),ROYALPANDA.    All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#include<stdio.h>

#include"regg_p.h"


kana_assoc_t ReggKanaAssoc[REGG_NUM_KANA_ASSOC] = {
	{ '','@','a' },
	{ '','A','a' },
	{ '','B','i' },
	{ '','C','i' },
	{ '','D','u' },
	{ '','E','u' },
	{ '','F','e' },
	{ '','G','e' },
	{ '','H','o' },
	{ '','I','o' },
	{ '','J','k' },
	{ '','K','g' },
	{ '','L','k' },
	{ '','M','g' },
	{ '','N','k' },
	{ '','O','g' },
	{ '','P','k' },
	{ '','Q','g' },
	{ '','R','k' },
	{ '','S','g' },
	{ '','T','s' },
	{ '','U','z' },
	{ '','V','s' },
	{ '','W','j' },
	{ '','X','s' },
	{ '','Y','z' },
	{ '','Z','s' },
	{ '','[','z' },
	{ '','\','s' },
	{ '',']','z' },
	{ '','^','t' },
	{ '','_','d' },
	{ '','`','t' },
	{ '','a','d' },
	{ '','b','t' },
	{ '','c','t' },
	{ '','d','d' },
	{ '','e','t' },
	{ '','f','d' },
	{ '','g','t' },
	{ '','h','d' },
	{ '','i','n' },
	{ '','j','n' },
	{ '','k','n' },
	{ '','l','n' },
	{ '','m','n' },
	{ '','n','h' },
	{ '','o','b' },
	{ '','p','p' },
	{ '','q','h' },
	{ '','r','b' },
	{ '','s','p' },
	{ '','t','h' },
	{ '','u','b' },
	{ '','v','p' },
	{ '','w','h' },
	{ '','x','b' },
	{ '','y','p' },
	{ '','z','h' },
	{ '','{','b' },
	{ '','|','p' },
	{ '','}','m' },
	{ '','~','m' },
	{ '','','m' },
	{ '','','m' },
	{ '','','m' },
	{ '','','y' },
	{ '','','y' },
	{ '','','y' },
	{ '','','y' },
	{ '','','y' },
	{ '','','y' },
	{ '','','r' },
	{ '','','r' },
	{ '','','r' },
	{ '','','r' },
	{ '','','r' },
	{ '','','w' },
	{ '','','w' },
	{ '','','n' },
};
